Skip to navigation

✨ Get pause

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired
A unique integer value identifying this pause.
project_pkintegerRequired
user_pkintegerRequired

Response

created_atdatetimeRead-only
Timestamp when this pause record was created
deleted_atdatetime or nullRead-only

Timestamp when this pause record was soft-deleted

deleted_byinteger or nullRead-only

User who soft-deleted this pause record

idintegerRead-only
paused_byobject
A ModelSerializer that takes additional arguments for "fields", "omit" and "expand" in order to control which fields are displayed, and whether to replace simple values with complex, nested serializations
projectinteger or nullRead-only
Related project for which the pause is set
reasonenum

Reason for pausing

  • MANUAL - Manual
  • BEHAVIOR_BASED - Behavior-based
  • ANNOTATOR_EVALUATION - Annotator evaluation
  • ANNOTATION_LIMIT - Annotation limit
  • CUSTOM_SCRIPT - Custom script
Allowed values:
updated_atdatetimeRead-only
Timestamp when this pause record was last updated
userinteger or nullRead-only
User who is paused
verbose_reasonstring or nullOptional
Detailed description of why the project is paused, will be readable by paused annotators